> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# API извлечения дорожек Suno

> Используйте Suno Stems API, чтобы извлечь вокал, бас, фортепиано, барабаны, электрогитару или другой поддерживаемый тип дорожки из существующего трека Suno.

Используйте **Suno Stems API**, чтобы извлечь выбранную дорожку из существующего трека Suno. Укажите `stem_type`, чтобы выбрать нужную часть, например `lead_vocal`, `bass`, `piano`, `drum_kit` или `electric_guitar`.

Если `stem_type` не передан, использует `lead_vocal` по умолчанию.


## OpenAPI

````yaml openapi/ru/suno.json POST /suno/v1/stems
openapi: 3.1.0
info:
  title: Документация TTAPI API
  version: 1.0.0
  description: Suno AI Музыка API
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v1/stems:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/IsStorageParams'
                - $ref: '#/components/schemas/HookUrlParams'
                - type: object
                  properties:
                    music_id:
                      type: string
                      description: Идентификатор аудиотрека, который нужно разделить
                    stem_type:
                      type: string
                      description: >-
                        Тип дорожки для извлечения. По умолчанию lead_vocal.
                        Можно передать другой поддерживаемый код, например bass,
                        piano, drum_kit, electric_guitar и другие.
                      default: lead_vocal
                      enum:
                        - lead_vocal
                        - drum_kit
                        - bass
                        - backing_vocals
                        - piano
                        - electric_guitar
                        - percussion
                        - string_section
                        - synth
                        - acoustic_guitar
                        - sound_effects
                        - synth_pad
                        - synth_bass
                        - guitar
                        - brass_section
                        - organ
                        - electronic_drum_kit
                        - lead_electric_guitar
                        - synth_keys
                        - rhythm_electric_guitar
                        - electric_piano
                        - upright_bass
                        - keyboards
                        - distorted_electric_guitar
                        - kick
                        - snare
                        - risers
                        - synth_strings
                        - synth_lead
                        - woodwinds
                        - flute
                        - harp
                        - tambourine
                        - trumpet
                        - arpeggiator
                        - accordion
                        - fiddle
                        - pedal_steel_guitar
                        - synth_voice
                        - violin
                        - digital_piano
                        - synth_brass
                        - mandolin
                        - choir
                        - banjo
                        - bells
                        - clarinet
                        - tenor_saxophone
                        - trombone
                        - shaker
                        - french_horn
                        - glockenspiel
                        - electric_bass
                        - cello
                        - timpani
                        - harmonica
                        - marimba
                        - vibraphone
                        - lap_steel_guitar
                        - saxophone
                        - orchestra
                        - horns
                        - cymbals
                        - hand_clap
                        - oboe
                        - celesta
                        - congas
                        - drone
                        - alto_saxophone
                        - double_bass
                        - ukulele
                        - harpsichord
                        - baritone_saxophone
                        - xylophone
                        - tuba
                        - bass_guitar
                        - whistle
                        - lead_guitar
                        - rhodes
                        - '808'
                        - bongos
                        - bassoon
                        - cowbell
                        - viola
                        - sitar
                        - steel_drums
                        - piccolo
                        - theremin
                        - bagpipes
                        - hi_hat
                        - music_box
                        - melodica
                        - tabla
                        - koto
                        - djembe
                        - taiko
                        - didgeridoo
                  required:
                    - music_id
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    IsStorageParams:
      type: object
      properties:
        isStorage:
          type: boolean
          default: true
          description: |-
            Сохранять ли сгенерированный звук.

            - **true**: аудио будет сохранено и будет возвращено TTAPI CDN URL.
            - **false**: будет возвращен исходный источник URL.
    HookUrlParams:
      type: object
      properties:
        hookUrl:
          type: string
          description: URL обратного уведомления
  responses:
    SuccessResponse:
      description: Запрос выполнен успешно
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
            required:
              - status
              - message
              - data
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````